HYPOT(3)

NAME
hypot, hypotf, hypotl - Euclidean distance function

SYNOPSIS
#include <math.h>

double hypot(double x, double y);
float hypotf(float x, float y);
long double hypotl (long double x, long double y);

Link with -lm.

DESCRIPTION
The hypot() function returns sqrt(x*x+y*y). This is the length of the hypotenuse of a right-angle triangle with sides of length x and y, or the distance of the point (x,y) from the origin.

CONFORMING TO
SVr4, 4.3BSD, C99. The float and long double variants are C99 requirements.

SEE ALSO
cabs(3), sqrt(3)